/**
 * Delay method call for x milliseconds
 * @param ms {number} Milliseconds which the method call should be delayed
 * @since 4.0.0
 */
export function Delay(ms) {
    return function (target, propertyKey, descriptor) {
        const ogMethod = descriptor.value;
        descriptor.value = function (...args) {
            setTimeout(() => {
                return ogMethod.apply(this, args);
            }, ms);
        };
        return descriptor;
    };
}
//# sourceMappingURL=delay.js.map