/**
 * Allows method to be called only once
 */
export function Once(targetClass, functionName, descriptor) {
    let called = false;
    let returnValue;
    const ogMethod = descriptor.value;
    descriptor.value = function (...args) {
        if (called) {
            return returnValue;
        }
        called = true;
        return (returnValue = ogMethod.apply(this, args));
    };
    return descriptor;
}
//# sourceMappingURL=once.js.map