export class StringHelper {
    static { this.hasNumbersInStringRegex = new RegExp(/\d/); }
    static { this.hasOnlyLettersInStringRegex = new RegExp(/^[a-zA-Z]+$/); }
    /**
     * Returns <code>true</code> if the given text contains no numbers, <code>false</code> if not
     * @param {string} text
     * @return boolean
     */
    static { this.hasNoNumbersInString = (text) => !this.hasNumbersInStringRegex.test(text ?? ''); }
    /**
     * Returns <code>true</code> if the given text contains numbers, <code>false</code> if not
     * @param {string} text
     * @return boolean
     */
    static { this.hasNumbersInString = (text) => this.hasNumbersInStringRegex.test(text ?? ''); }
    /**
     * Returns <code>true</code> if the given text contains only a-zA-Z, <code>false</code> if it also contains special characters or numbers
     * @param {string} text
     * @return boolean
     */
    static { this.hasOnlyLettersInString = (text) => this.hasOnlyLettersInStringRegex.test(text ?? ''); }
    /**
     * Returns <code>true</code> if the given text contains not only a-zA-Z, <code>false</code> if it contains only a-zA-Z
     * @param {string} text
     * @return boolean
     */
    static { this.hasNotOnlyLettersInString = (text) => !this.hasOnlyLettersInStringRegex.test(text ?? ''); }
}
//# sourceMappingURL=_string.js.map