/**
 * Returns a random string containing a-z,A-Z
 * @param {number} length Length of the random string
 * @param {{containsNumbers?: boolean, containsSpecialCharacters?: boolean, specialCharactersSet?: s_generate, containsLetters?: boolean, containsLowerCaseLetters?: boolean, containsUpperCaseLetters?: boolean}} options options object
 * @description <code>containsNumbers</code> - default <code>false</code>, used to determine if the random string should contain numbers
 * @description <code>containsSpecialCharacters</code> - default <code>false</code>, used to determine if the random string should contain special characters
 * @description <code>specialCharactersSet</code> - default "<code>_-#+*~&?!=</code>", used to replace the default set
 * @description <code>containsLetters</code> default <code>true</code>, used to determine if the random string should contain letters
 * @description <code>containsLowerCaseLetters</code> default <code>true</code>, used to determine if the random string should contain lowercase letters
 * @description <code>containsUpperCaseLetters</code> default <code>true</code>, used to determine if the random string should contain UPPERCASE letters
 * @return string
 */
export declare function s_generate(length: number, options?: {
    containsNumbers?: boolean;
    containsSpecialCharacters?: boolean;
    specialCharactersSet?: string;
    containsLetters?: boolean;
    containsLowerCaseLetters?: boolean;
    containsUpperCaseLetters?: boolean;
}): string;
//# sourceMappingURL=generator.d.ts.map